import "../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { defineComponent, resolveComponent, openBlock, createElementBlock, renderSlot, createVNode, withCtx, createTextVNode } from "../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { toDisplayString, normalizeStyle } from "../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "SettingItem",
  props: {
    name: {
      type: String,
      required: false
    },
    width: {
      type: Number,
      required: false
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_text = resolveComponent("n-text");
      return openBlock(), createElementBlock("div", {
        class: "go-setting-item",
        style: normalizeStyle({ width: __props.width + "px" })
      }, [
        renderSlot(_ctx.$slots, "default", {}, void 0, true),
        createVNode(_component_n_text, {
          class: "name",
          depth: "3"
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString(__props.name), 1)
          ]),
          _: 1
        })
      ], 4);
    };
  }
});
export {
  _sfc_main as default
};
